Crystal::Macros::NumberLiteral - Crystal 1.6.2

# class Crystal::Macros::NumberLiteral

- Crystal::Macros::NumberLiteral
- Crystal::Macros::ASTNode

##
Overview

Any number literal.

##
Defined in:

compiler/crystal/macros.cr

##
Instance Method Summary

- #%(other : NumberLiteral) : NumberLiteral

  Same as `Number#%`

- #&(other : NumberLiteral) : NumberLiteral

  Same as `Number#&`

- #*(other : NumberLiteral) : NumberLiteral

  Same as `Number#*`

- #**(other : NumberLiteral) : NumberLiteral

  Same as `Number#**`

- #+(other : NumberLiteral) : NumberLiteral

  Same as `Number#+`

- #+ : NumberLiteral

  Same as `Number#+`

- #-(other : NumberLiteral) : NumberLiteral

  Same as `Number#-`

- #- : NumberLiteral

  Same as `Number#-`

- #//(other : NumberLiteral) : NumberLiteral

  Same as `Number#//`

- #<(other : NumberLiteral) : BoolLiteral

  Compares this node's value to another node's value.

- #<<(other : NumberLiteral) : NumberLiteral

  Same as `Number#<<`

- #<=(other : NumberLiteral) : BoolLiteral

  Compares this node's value to another node's value.

- #<=>(other : NumberLiteral) : NumberLiteral

  Compares this node's value to another node's value.

- #>(other : NumberLiteral) : BoolLiteral

  Compares this node's value to another node's value.

- #>=(other : NumberLiteral) : BoolLiteral

  Compares this node's value to another node's value.

- #>>(other : NumberLiteral) : NumberLiteral

  Same as `Number#>>`

- #^(other : NumberLiteral) : NumberLiteral

  Same as `Number#^`

- #|(other : NumberLiteral) : NumberLiteral

  Same as `Number#|`

- #~ : NumberLiteral

  Same as `Number#~`

- #kind : SymbolLiteral

  The type of the literal: `:i32`, `:u16`, `:f32`, `:f64`, etc.

- #to_number : MacroId

  Returns the value of this number without a type suffix.

### Instance methods inherited from class `Crystal::Macros::ASTNode`

!=(other : ASTNode) : BoolLiteral !=, ==(other : ASTNode) : BoolLiteral ==, class_name : StringLiteral class_name, column_number : StringLiteral | NilLiteral column_number, end_column_number : StringLiteral | NilLiteral end_column_number, end_line_number : StringLiteral | NilLiteral end_line_number, filename : StringLiteral | NilLiteral filename, id : MacroId id, is_a?(type : TypeNode) : BoolLiteral is_a?, line_number : StringLiteral | NilLiteral line_number, nil? : BoolLiteral nil?, raise(message) : NoReturn raise, stringify : StringLiteral stringify, symbolize : SymbolLiteral symbolize

##
Instance Method Detail

def %(other : NumberLiteral) : NumberLiteral #

Same as `Number#%`

def &(other : NumberLiteral) : NumberLiteral #

Same as `Number#&`

def *(other : NumberLiteral) : NumberLiteral #

Same as `Number#*`

def **(other : NumberLiteral) : NumberLiteral #

Same as `Number#**`

def +(other : NumberLiteral) : NumberLiteral #

Same as `Number#+`

def + : NumberLiteral #

Same as `Number#+`

def -(other : NumberLiteral) : NumberLiteral #

Same as `Number#-`

def - : NumberLiteral #

Same as `Number#-`

def //(other : NumberLiteral) : NumberLiteral #

Same as `Number#//`

def <(other : NumberLiteral) : BoolLiteral #

Compares this node's value to another node's value.

def <<(other : NumberLiteral) : NumberLiteral #

Same as `Number#<<`

def <=(other : NumberLiteral) : BoolLiteral #

Compares this node's value to another node's value.

def <=>(other : NumberLiteral) : NumberLiteral #

Compares this node's value to another node's value.

def >(other : NumberLiteral) : BoolLiteral #

Compares this node's value to another node's value.

def >=(other : NumberLiteral) : BoolLiteral #

Compares this node's value to another node's value.

def >>(other : NumberLiteral) : NumberLiteral #

Same as `Number#>>`

def ^(other : NumberLiteral) : NumberLiteral #

Same as `Number#^`

def |(other : NumberLiteral) : NumberLiteral #

Same as `Number#|`

def ~ : NumberLiteral #

Same as `Number#~`

def kind : SymbolLiteral #

The type of the literal: `:i32`, `:u16`, `:f32`, `:f64`, etc.

def to_number : MacroId #

Returns the value of this number without a type suffix.